ReflectionExtension::__construct
ReflectionExtension::getClasses
ReflectionExtension
PHP Manual

# ReflectionExtension::export

(PHP 5)

ReflectionExtension::export — Export

### Descrição

public static string ReflectionExtension::export ( string `$name` [, string `$return` = false ] )

Exports a reflected extension. The output format of this function is the same as the CLI argument --re [extension].

### Parâmetros

`name`

  The reflection to export.

`return`

  Setting to `TRUE` will return the export, as opposed to emitting it. Setting to `FALSE` (the default) will do the opposite.

### Valor Retornado

If the `return` parameter is set to `TRUE`, then the export is returned as a string , otherwise `NULL` is returned.

### Veja Também

- ReflectionExtension::info - Gets extension info

ReflectionExtension::__construct
ReflectionExtension::getClasses
ReflectionExtension
PHP Manual